eServices - Bug #71

Buildings Details section - Compensation Emp step

07/17/2016 01:21 PM - Saja Nakhleh

Status:
Priority:
Assignee:
Category:
Target version:

Co-Workers:

Severity:
Category:
Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result:

Closed
Normal
Saja Nakhleh

Normal
Compensation
Worklist

A- Attachment label should be: Building
permission attachment and the building
status field is exist.

B- The record will be updated
successfully
C- the Update action should be disabled

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Actual Result:

Environment:

Transaction Number:

Username:
Browser:
URL:

Test Case ID:

07/17/2016

100%
0.00 hour
0.00 hour

A- Attachments:

1- Attachment label is: File name
(observe evidence 16)

2- the attachment does not have any
validations

3- after adding the record the attachment
will disappear ! (observe evidence 15)
4- The [Building status] drop-down list
not exist !l

5- Adding 2 records with the same data
will occur a Null error(observe evidence
19)

B- Update:

1- An empty dialog will be opened

2- the Attachment field is not available
m

3- the record will not updated and (OK) &
(cancel) buttons do not work !

C- Delete
1- Update action will stay enabled,
although all the records were deleted!

Development
4022016001818661

bomohammed

Description

A- Add new record:

1- Open transaction in [Compensation Employee (Technical Section)] Step
2- Click Add to add new record for Building Description Details section

3- Observe the attachment field

4- Observe Building status drop-down list
5- Add 2 records with the same data

B- Update

4- Select a record from the Building Description Details section
5- click Update and Observe the records then click OK

C- Delete
6- Delete All the records and Observe Update action

History

#1 - 07/17/2016 01:29 PM - Saja Nakhleh
- Description updated

- Expected Result updated

- Actual Result updated

#2 - 07/17/2016 03:24 PM - Saja Nakhleh
- File 19.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#3 - 07/18/2016 03:40 PM - Hazem Shoushari

- Status changed from Open to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh
- Environment Development added

- Environment deleted (QA)

#4 - 07/25/2016 02:39 PM - Saja Nakhleh
- File 63.GIF added
- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Hazem Shoushari

Delete issue still duplicated:
Update action will stay enabled, although all the records were deleted!

#5 - 08/28/2016 12:03 PM - Hazem Shoushari
- Status changed from Feedback to Fixed
- Assignee changed from Hazem Shoushari to Saja Nakhleh

- % Done changed from 0 to 100

#6 - 08/31/2016 03:36 PM - Saja Nakhleh
- File 105.GIF added
- File 104.GIF added

- Assignee changed from Saja Nakhleh to Hazem Shoushari

All the previous cases are verified.

New cases have been occurred:

1- When updating a record of building details, then the building number should be changed
which is wrong behavior. (attachment #105)

2- the option: Not mortgaged from Biulding status field has syntax error(attachment #104)

#7 - 09/27/2016 12:01 PM - Saja Nakhleh
- Status changed from Fixed to Feedback
http://185.98.225.148:8089/redmine/issues/105
http://185.98.225.148:8089/redmine/issues/104

#8 - 09/28/2016 11:58 AM - Saja Nakhleh
- File 136.GIF added
- Status changed from Feedback to Closed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

Tested and verified. Kindly consider the attached evidence.

#9 - 09/28/2016 12:08 PM - Administrator Admin
- Status changed from Closed to Feedback

#10 - 09/28/2016 12:10 PM - Saja Nakhleh

1- When updating a record of building details, then the building number should be changed

which is wrong behavior. (attachment #105)

2- the option: Not mortgaged from Biulding status field has syntax error(attachment #104)

#11 - 09/28/2016 12:11 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Hazem Shoushari

#12 - 09/29/2016 12:46 PM - Saja Nakhleh
- File deleted (136.GIF)

#13 - 10/11/2016 02:22 PM - Hazem Shoushari
- Status changed from Feedback to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh
#14 - 10/11/2016 03:08 PM - Saja Nakhleh

- File 179.gif added

- Status changed from Fixed to Closed

Tested and verified. Kindly consider the attached evidences

Files

16.GIF 89.4 KB 07/17/2016 Saja Nakhleh
15.GIF 87.3 KB 07/17/2016 Saja Nakhleh
17.gif 87.8 KB 07/17/2016 Saja Nakhleh
19.GIF 207 KB 07/17/2016 Saja Nakhleh
63.GIF 62.3 KB 07/25/2016 Saja Nakhleh
105.GIF 93.7 KB 08/31/2016 Saja Nakhleh
104.GIF 93.2 KB 08/31/2016 Saja Nakhleh
179.gif 114 KB 10/11/2016 Saja Nakhleh
